package com.wasu.cs.mvp.IView;

/**
 * @Description:首页页面公共事件接口
 * @Author: Danxingxi
 * @CreateDate: 2017/1/16 13:38
 */
public interface IMainMVPView extends MvpView {
    /**
     * 首次请求焦点
     * @param direction  按键方向
     */
    void firstRequestFocus(int direction);

    /**
     * ViewPager翻页
     * @param viewPagerPosition
     */
    void changeViewPager(int viewPagerPosition);

    /**
     * 滚动到顶部
     */
    void scrollToTop();
}
